<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: House Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d21/class_house.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">House Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for House:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d21/class_house.png" usemap="#House_map" alt=""/>
  <map id="House_map" name="House_map">
<area href="../../d5/d44/class_effect_area.html" alt="EffectArea" shape="rect" coords="182,112,354,136"/>
<area href="../../d5/db0/class_contaminated_area___dynamic.html" alt="ContaminatedArea_Dynamic" shape="rect" coords="0,168,172,192"/>
<area href="../../dd/d9b/class_contaminated_area___static.html" alt="ContaminatedArea_Static" shape="rect" coords="182,168,354,192"/>
<area href="../../dc/d7e/class_spooky_area.html" alt="SpookyArea" shape="rect" coords="364,168,536,192"/>
<area href="../../dc/d57/class_contaminated_area___local.html" alt="ContaminatedArea_Local" shape="rect" coords="0,224,172,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8f8f7c6b204bf313dfaf52ec1acc44ed"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a8f8f7c6b204bf313dfaf52ec1acc44ed">EEOnCECreate</a> ()</td></tr>
<tr class="separator:a8f8f7c6b204bf313dfaf52ec1acc44ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc6ad980191513c08be21ff69564ce4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a7dc6ad980191513c08be21ff69564ce4">RequestSoundEvent</a> ()</td></tr>
<tr class="separator:a7dc6ad980191513c08be21ff69564ce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af55a86ba3169fe4a4dd7fdac784aa141"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#af55a86ba3169fe4a4dd7fdac784aa141">GetSoundSet</a> ()</td></tr>
<tr class="separator:af55a86ba3169fe4a4dd7fdac784aa141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba26723f95fe30b76cd4ac0cd6e6aaf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a0ba26723f95fe30b76cd4ac0cd6e6aaf">EEInit</a> ()</td></tr>
<tr class="separator:a0ba26723f95fe30b76cd4ac0cd6e6aaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4173a8bbda3f379688bc01952b4bc6a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#ac4173a8bbda3f379688bc01952b4bc6a">EEDelete</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:ac4173a8bbda3f379688bc01952b4bc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30b790614c06b3f6053d80ad6bb368bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a30b790614c06b3f6053d80ad6bb368bb">House</a> ()</td></tr>
<tr class="separator:a30b790614c06b3f6053d80ad6bb368bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad783e6e5485d597374fc4beeec12e424"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#ad783e6e5485d597374fc4beeec12e424">ChristmasTree</a> ()</td></tr>
<tr class="separator:ad783e6e5485d597374fc4beeec12e424"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba26723f95fe30b76cd4ac0cd6e6aaf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a0ba26723f95fe30b76cd4ac0cd6e6aaf">EEInit</a> ()</td></tr>
<tr class="separator:a0ba26723f95fe30b76cd4ac0cd6e6aaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4173a8bbda3f379688bc01952b4bc6a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#ac4173a8bbda3f379688bc01952b4bc6a">EEDelete</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:ac4173a8bbda3f379688bc01952b4bc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a987fb32094586c7dbaafbdfdad34e79c"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a987fb32094586c7dbaafbdfdad34e79c">Init</a> ()</td></tr>
<tr class="separator:a987fb32094586c7dbaafbdfdad34e79c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aeb4551d7a7f0545bb9f88621d152fdaa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#aeb4551d7a7f0545bb9f88621d152fdaa">m_ParticleEfx</a></td></tr>
<tr class="separator:aeb4551d7a7f0545bb9f88621d152fdaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999b19f4de684df6d66572e23efa90ef"><td class="memItemLeft" align="right" valign="top">XmasTreeLight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a999b19f4de684df6d66572e23efa90ef">m_TreeLight</a></td></tr>
<tr class="separator:a999b19f4de684df6d66572e23efa90ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59f9b8dbc8109a9965669a9d2cb77ca6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a59f9b8dbc8109a9965669a9d2cb77ca6">m_AmbientSoundLoop</a></td></tr>
<tr class="separator:a59f9b8dbc8109a9965669a9d2cb77ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56cc3f7a69608a7f899821fce257e4c7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#a56cc3f7a69608a7f899821fce257e4c7">LOOP_SOUND</a> = &quot;ChristmasMusic_SoundSet&quot;</td></tr>
<tr class="separator:a56cc3f7a69608a7f899821fce257e4c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ae2c82f42e3db1e1ef574f5dd7b757299"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html#ae2c82f42e3db1e1ef574f5dd7b757299">m_Init</a> = <a class="el" href="../../df/d21/class_house.html#a987fb32094586c7dbaafbdfdad34e79c">Init</a>()</td></tr>
<tr class="separator:ae2c82f42e3db1e1ef574f5dd7b757299"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a30b790614c06b3f6053d80ad6bb368bb" name="a30b790614c06b3f6053d80ad6bb368bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30b790614c06b3f6053d80ad6bb368bb">&#9670;&#160;</a></span>House()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void House::House </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00003">3</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad783e6e5485d597374fc4beeec12e424" name="ad783e6e5485d597374fc4beeec12e424"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad783e6e5485d597374fc4beeec12e424">&#9670;&#160;</a></span>ChristmasTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void House::ChristmasTree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html#l00007">7</a> of file <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a>.</p>

</div>
</div>
<a id="ac4173a8bbda3f379688bc01952b4bc6a" name="ac4173a8bbda3f379688bc01952b4bc6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4173a8bbda3f379688bc01952b4bc6a">&#9670;&#160;</a></span>EEDelete() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void House::EEDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00044">44</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="ac4173a8bbda3f379688bc01952b4bc6a" name="ac4173a8bbda3f379688bc01952b4bc6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4173a8bbda3f379688bc01952b4bc6a">&#9670;&#160;</a></span>EEDelete() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void House::EEDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html#l00024">24</a> of file <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a>.</p>

</div>
</div>
<a id="a0ba26723f95fe30b76cd4ac0cd6e6aaf" name="a0ba26723f95fe30b76cd4ac0cd6e6aaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ba26723f95fe30b76cd4ac0cd6e6aaf">&#9670;&#160;</a></span>EEInit() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void House::EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00031">31</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="a0ba26723f95fe30b76cd4ac0cd6e6aaf" name="a0ba26723f95fe30b76cd4ac0cd6e6aaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ba26723f95fe30b76cd4ac0cd6e6aaf">&#9670;&#160;</a></span>EEInit() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void House::EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html#l00016">16</a> of file <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a>.</p>

</div>
</div>
<a id="a8f8f7c6b204bf313dfaf52ec1acc44ed" name="a8f8f7c6b204bf313dfaf52ec1acc44ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f8f7c6b204bf313dfaf52ec1acc44ed">&#9670;&#160;</a></span>EEOnCECreate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void House::EEOnCECreate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00013">13</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="af55a86ba3169fe4a4dd7fdac784aa141" name="af55a86ba3169fe4a4dd7fdac784aa141"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af55a86ba3169fe4a4dd7fdac784aa141">&#9670;&#160;</a></span>GetSoundSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> House::GetSoundSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00026">26</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="a987fb32094586c7dbaafbdfdad34e79c" name="a987fb32094586c7dbaafbdfdad34e79c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a987fb32094586c7dbaafbdfdad34e79c">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> House::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00006">6</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="a7dc6ad980191513c08be21ff69564ce4" name="a7dc6ad980191513c08be21ff69564ce4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dc6ad980191513c08be21ff69564ce4">&#9670;&#160;</a></span>RequestSoundEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void House::RequestSoundEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00019">19</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a56cc3f7a69608a7f899821fce257e4c7" name="a56cc3f7a69608a7f899821fce257e4c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56cc3f7a69608a7f899821fce257e4c7">&#9670;&#160;</a></span>LOOP_SOUND</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> House::LOOP_SOUND = &quot;ChristmasMusic_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html#l00005">5</a> of file <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a>.</p>

</div>
</div>
<a id="a59f9b8dbc8109a9965669a9d2cb77ca6" name="a59f9b8dbc8109a9965669a9d2cb77ca6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59f9b8dbc8109a9965669a9d2cb77ca6">&#9670;&#160;</a></span>m_AmbientSoundLoop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> House::m_AmbientSoundLoop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html#l00004">4</a> of file <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a>.</p>

</div>
</div>
<a id="ae2c82f42e3db1e1ef574f5dd7b757299" name="ae2c82f42e3db1e1ef574f5dd7b757299"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2c82f42e3db1e1ef574f5dd7b757299">&#9670;&#160;</a></span>m_Init</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> House::m_Init = <a class="el" href="../../df/d21/class_house.html#a987fb32094586c7dbaafbdfdad34e79c">Init</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00004">4</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="aeb4551d7a7f0545bb9f88621d152fdaa" name="aeb4551d7a7f0545bb9f88621d152fdaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb4551d7a7f0545bb9f88621d152fdaa">&#9670;&#160;</a></span>m_ParticleEfx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d85/class_particle.html">Particle</a> House::m_ParticleEfx</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d59/_crash_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a>.</p>

</div>
</div>
<a id="a999b19f4de684df6d66572e23efa90ef" name="a999b19f4de684df6d66572e23efa90ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a999b19f4de684df6d66572e23efa90ef">&#9670;&#160;</a></span>m_TreeLight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XmasTreeLight House::m_TreeLight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/Building/<a class="el" href="../../d4/d59/_crash_base_8c_source.html">CrashBase.c</a></li>
<li>scripts/4_World/Entities/WoodBase/<a class="el" href="../../d0/da0/_christmas_tree_8c_source.html">ChristmasTree.c</a></li>
<li>scripts/4_World/Entities/Game/Super/<a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d21/class_house.html">House</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
